=====================================================================
	Change Log
	phpGedView

	This and other information can be found online at
	http://www.phpgedview.net

	# $Id: changelog.txt 7171 2017-11-05 16:18:39Z canajun2eh $
=====================================================================

Version 4.3.0
 - Fixed: Page footer links could end with an orphan ampersand or question-mark (canajun2eh)
 - Changed: Add more checks for hacking in incoming URI (canajun2eh)
 - Fixed: "Invalid GEDCOM format" error when saving an edited shared note (canajun2eh)
 - Changed: Speed improvement in reading 16-bit (256 colour) BMP images (canajun2eh)
 - Fixed: Undefined variable mod in module.php line 78 (canajun2eh)
 - Changed: Improve performance of BMP image support (canajun2eh)
 - Fixed: Syntax error in /includes/extras/functions.en.php (canajun2eh)
 - Changed: Move functions used only for debugging into their own functions_debug.php file (canajun2eh)
 - Added: Implement limited support for BMP images in media files -- can only write 24-bit images (canajun2eh)
 - Fixed: Correct generation of ordinal suffix in English (1st, 2nd, 3rd, etc.), French, and German (canajun2eh)
 - Fixed: "Download calendar file" not working in Todays Events, Upcoming Events, and Yahrzeiten blocks (canajun2eh)
 - Changed: Replaced /images/hcal.png with ical.png (canajun2eh)
 - Fixed: Yahrzeiten block does not obey "Allow download" configuration option (canajun2eh)
 - Fixed: ical.php not respecting language selection -- uses only English (canajun2eh)
 - Changed: Moved ical functions out of ical.php into their own file within includes/functions (canajun2eh)
 - Fixed: ical.php causes errors in class GedcomDate (canajun2eh)
 - Fixed: Person names should not contain comma when family name comes first (as in Hungarian) (canajun2eh)
 - Fixed: Undefined index "bulkMail" in includes/authentication.php when sending the Review Changes message (canajun2eh)
 - Changed: Make all language files HTML5 compliant by re-coding BIG, CENTER, FONT, and TT elements (canajun2eh)
 - Fixed: Help text for Customize Welcome page not displaying properly (canajun2eh)
 - Fixed: PHP7 warning about class constructor naming convention (canajun2eh)
 - Added: Check sending and receiving e-mail addresses for validity before trying to send (canajun2eh)
 - Updated: PHPMailer package updated to version 5.2.23 (canajun2eh)
 - Fixed: Mail send reported success even when sending actually failed (canajun2eh)
 - Fixed: Current SMTP port number does not display properly when reconfiguring (canajun2eh)
 - Fixed: Bulk messages to all users or inactive users not working (canajun2eh)
 - Fixed: PHP7 complaining about arithmetic involving strings passed to class_gedcomrecord by class_note (Canajun2eh)
 - Fixed: Undefined variable queryString in rss.php (canajun2eh)
 - Fixed: PHP7 complaining about arithmetic involving strings (Canajun2eh)
 - Fixed: PHP7 errors caused by incorrect usage of microtime() function (Philippe Conde)
 - Updated: More improvements to Googlemap module (Leonhard Zachl)
 - Fixed: Several errors in Googlemap module (tbabczynski)
 - Updated: Various improvements to Googlemap module (tbabczynski)
 - Fixed: Correct polish tradition of wife's surname in batch_update (tbabczynski)
 - Fixed: E-mails to admin sometimes sent in wrong language (canajun2eh)
 - Fixed: PHP 7 error when SALT is missing in call to crypt() function (canajun2eh)
 - Fixed: PHP 7 error in eval() function when it's fed the config.php file (canajun2eh)
 - Fixed: Mysql 5.7 error "1171 All parts of a PRIMARY KEY must be NOT NULL" (canajun2eh)
 - Fixed: Several instances of "array to string conversion" errors (canajun2eh)
 - Fixed: Call to undefined function cleanQueryString() in rss.php (canajun2eh)
 - Updated: Improved support for Googlemaps version 3 (Leonhard Zachl)
 - Fixed: User-to-user messaging ignores e-mail option (canajun2eh)
 - Fixed: Incorrect implementation of some messaging options in user profiles (canajun2eh)
 - Updated: Implement https method of calling Google charts and support for Googlemaps version 3 (Leonhard Zachl)
 - Fixed: German language files use double angle quotation marks incorrectly (canajun2eh)
 - Changed: Updates to PEAR.php and new PEAR5.php to accommodate more recent versions of PHP (Lester Caine)
 - Changed: Improve checks for improperly formed URI (canajun2eh)
 - Fixed: Incorrect call to static function in PEAR.php (Pasquale Ceres)
 - Changed: Remove "union" (a legitimate place name) from SQL injection check (canajun2eh)
 - Fixed: Adding a new media item while editing a Fact requires entry of the Indi, Family, or Source ID number (canajun2eh)
 - Fixed: Adding a new media item while editing a Fact causes "You are not welcome here" message (canajun2eh)
 - Changed: Automatically copy ID numbers of new shared notes, sources, and repositories (canajun2eh)
 - Fixed: Notes containing two at-symbols are sometimes incorrectly identified as referencing shared notes (canajun2eh)
 - Changed: Anonymous remote connections are now optional (Pasquale Ceres)
 - Fixed: SOAP errors cause out-of-memory errors (Pasquale Ceres)
 - Fixed: "update" should not be part of SQL injection check (canajun2eh)
 - Fixed: Import Progess bar should show percentage of total file size (canajun2eh)
 - Changed: Tighten SQL and cross-site script injection checks and relocate them to includes/session_spider.php (canajun2eh)
 - Fixed: Remote requests can return wrong results (Pasquale Ceres)
 - Fixed: Search returns wrong results when hits occur in non-genealogical tags (Pasquale Ceres)
 - Fixed: Wrong pseudo-icons for some file types, and Lightbox shouldn't try to handle HTM(L), DOC(X), PDF and TEX media files (canajun2eh)
 - Changed: General and Soundex searches, database checkboxes should be above search terms instead of below (canajun2eh)
 - Changed: Top menu "Search" should be using "post" method instead of "get", and field is too short (canajun2eh)
 - Fixed: Undefined variable in block_main_temp.php when Cookie Policy block is activated (canajun2eh)
 - Changed: Show Cookie Policy block only on Welcome page and add to top of default list (canajun2eh)
 - Added: Block to display site's Cookie policy, as required by EU Cookie Law (pceres and canajun2eh)
 - Fixed: Undefined variable in "includes/classes/class_reportpdf.php" (canajun2eh)
 - Changed: Make report generator upwards compatible with TCPDF version 6.2 (canajun2eh)
 - Added: Log fact that attempt to inject a script was detected (canajun2eh)
 - Fixed: Script injection vulnerability (canajun2eh)
 - Changed: Implement revised Clustrmaps calling sequence (sridharb)
 - Corrected: Previous incorrect fix to includes/functions/functions_import.php (canajun2eh)
 - Fixed: Undefined variable in includes/functions/functions_import.php (canajun2eh)
 - Fixed: Undefined variable in includes/classes/class_reportbase.php (canajun2eh)
 - Fixed: Import GEDCOM into new installation on systems using MySQL version 5.5 extremely slow (canajun2eh)
 - Fixed: Various instances of "preg_replace(): The /e modifier is deprecated" (lsces, canajun2eh)
 - Updated: Arabic language files countries.ar.php and facts.ar.php (samar)
 - Added: Vagabondo added to list of known search engines (canajun2eh)
 - Fixed: Cannot edit existing shared note (canajun2eh)
 - Updated: Arabic language files facts.ar.php and lang.ar.php (samar)
 - Fixed: Remote link to another GEDCOM does not work (epooch)
 - Fixed: Incorrect age calculation in various statistics when age is less than 1 year (gbvalor)
 - Updated: Piwik tracking code to use POST instead of GET to improve security (canajun2eh)
 - Updated: Piwik tracking code to Piwik version 2.x (canajun2eh)
 - Fixed: Errors in functions_rss.php caused by PHP 5.4 incompatibility (canajun2eh)
 - Fixed: Errors in indilist.php caused by PHP 5.4 incompatibility (canajun2eh)
 - Added: Additions to list of bad bots (canajun2eh)
 - Deleted: Files with Hebrew names in places/isr directory (canajun2eh)
 - Changed: Removed accents from several file names in images/flags directory (canajun2eh)
 - Fixed: [ 3527034 ] error autocomplete places (dyspd)
 - Added: Temporary (timed) ban of hacker IPs (canajun2eh)
 - Added: Support for date formats like 2012-12-24 and 20121224 when importing GEDCOM (canajun2eh)
 - Changed: Show up to 5 errors in Date or Place when importing GEDCOM (canajun2eh)
 - Changed: Country code for South Sudan changed from SSD to RSS (canajun2eh)
 - Fixed: [ 3571316 ] As of SVN 7075, can't upload any GEDCOMs (canajun2eh)
 - Fixed: [ 3569578 ] PGV not working in PHP 5.4.0 (canajun2eh)
 - Fixed: [ 3532300 ] Can't change ID of existing user (canajun2eh)
 - Fixed: [ 3532299 ] Can't send message to self (canajun2eh)
 - Fixed: Search between PGV sites not working properly (Pasquale Ceres)
 - Fixed: [ 3516462 ] Incorrect call to find_media_record() (canajun2eh)
 - Fixed: [ 3495818 ] Manage Media - repeated Login requests (canajun2eh)
 - Fixed: [ 3474329 ] Sub-menus disappear too quickly (canajun2eh)
 - Fixed: [ 3471553 ] Search Help Text doesn't print search results properly (canajun2eh)
 - Fixed: [ 3422404 ] Late-in-life CHR, BAPM, _BRTM events distort statistics (canajun2eh)
 - Fixed: [ 3409213 ] Error when privacy settings enabled (blaza-pl)
 - Fixed: [ 3417402 ] Function createTempUser() not working (canajun2eh)
 - Added: List all web page links in media object list near top of Personal Details page (George Pauly and canajun2eh)
 - Added: Use media object title to caption image on Personal Details page (canajun2eh)
 - Added: Configurable links to Google Analytics, Piwik Analytics, ClustrMaps Analytics (canajun2eh)
 - Updated: dhtmlXTabbar to version 3.0 build 110707 (canajun2eh)
 - Fixed: Authentication between PGV sites with linked GEDCOMs not working properly (Pasquale Ceres)
 - Fixed: [ 3317813 ] Cannot remove entries from Banned IP list (canajun2eh)
 - Fixed: [ 3316545 ] PclZip fails when php_uname() is disabled by hosting company (canajun2eh)
 - Added: [ 3279989 ] Support for Vietnam clickable maps while editing places (cdeces)
 - Fixed: [ 3208343 ] Content of additional Advanced HTML blocks may be lost (ggpauly)
 - Fixed: [ 3202881 ] Not able to accept changes (canajun2eh)
 - Fixed: [ 3197154 ] PDO/Postgresql: error in branches list (canajun2eh)
 - Deleted: wordsearch module (canajun2eh)
 - Fixed: [ 3187504 ] Fatal error in Research Assistant (canajun2eh)
 - Changed: Relocate "Prev" and "Next" buttons in Install wizard (canajun2eh)
 - Fixed: [ 3179194 ] Upload GEDCOM fails (canajun2eh)
 - Fixed: [ 3173600 ] Manage Media forgets certain options after media change made (canajun2eh)
 - Fixed: [ 3177042 ] Manage Media, Add link errors when entering ID directly (canajun2eh)
 - Fixed: [ 3174421 ] Error functions_DB.php in fetch_gedcom_record (pathan)
 - Fixed: [ 3171242 ] pedigree_image_xxx styles (canajun2eh)

Version 4.2.4
 - Fixed: [ 3121290 ] Reports: Source list damaged (canajun2eh)
 - Fixed: [ 3119940 ] Reports: "Place" text not needed in front of places (canajun2eh)
 - Fixed: [ 3119928 ] Reports: Cremation is not reported (canajun2eh)
 - Fixed: [ 3119921 ] Reports: Missing pronoun in Descendancy report (canajun2eh)
 - Fixed: [ 3119915 ] Reports: Incorrect Source footnote format (canajun2eh)
 - Fixed: [ 3119907 ] Reports: Not showing Level 2 SOUR sub-records on NAME record (canajun2eh)
 - Fixed: Incorrect URL when using Geonames search in Autocomplete of place names (canajun2eh)
 - Deleted: Keyboard Shortcuts feature (canajun2eh)
 - Changed: New rules for finding highlighted object on charts, Indi, and Family pages (canajun2eh)
 - Fixed: [ 2947598 ] Site Map missing the $SERVER_URLvar? (fisharebest)
 - Changed: Behaviour of autocomplete for INDI fields, input of an id grabs only the exact id and extends by a further digit, makes it much faster for large gedcoms (volschin)
 - Fixed: [ 2945678 ] [6910] Add new child/autocomplete (fisharebest)
 - Update: jQuery 1.4.1 (volschin)
 - Fixed: [ 2938600 ] 4.2.3 indi Map tab: no map & Java error (wooc)
 - Fixed: [ 2943837 ] Placenames in Edit Interface in latest PGV (fisharebest)
 - Fixed: [ 2943263 ] Logout ERROR 2 (fisharebest)
 - Added: modules.css file for all themes (windmillway)
 - Fixed: [ 2939710 ] [6841?] Startup error (fisharebest)
 - Fixed: [ 2937064 ] Upgrade from 4.2.3 loses users/accounts (fisharebest)
 - Changed: Default sorting by lastname in user administration (volschin)
 - Fixed: Sorting by username in user administration (volschin)
 - Added: [ 1717787 ] Gedcomname.gedpgv_counters.txt in backup (fisharebest)
 - Added: [ 2677563 ] Counters in MySQL rather than in file. (fisharebest)
 - Fixed: [ 2928619 ] Burial w/o Death -> (on the date of death) (fisharebest)
 - Fixed: [ 1859794 ] individual titles (i.e. husband,wife) on Close relatives tab (fisharebest)
 - Fixed: [ 2934003 ] Pictures of other gedcom in Multimedia list (canajun2eh)
 - Changed: Fan chart font and colors moved from style.css to theme.php (canajun2eh)
 - Fixed: [ 2917682 ] ERROR 8 in access log (wooc)
 - Update: jQuery.autocomplete plugin 1.1 (volschin)
 - Update: TCPDF 4.8.024 (volschin)
 - Fixed: Include change of favorites in merge of records (volschin)
 - Fixed: [ 2933020 ] 4.2.3 Bracketing issue in Russian (wooc)
 - Fixed: [ 2931733 } 4.2.3 Name entering and editing (fisharebest)
 - Fixed: [ 2930541 ] PGV custom  tags not being removed on download V4.2.3 (fisharebest)
 - Fixed: [ 2931697 ] 4.2.3 countries.csv ... Iraq is called IRN (fisharebest)
 - Fixed: [ 2927240 ] 4.2.3 ... un-def var gid when importing (fisharebest)
 - Added: [ 1863843 ] Pedigree Google Map (kiwi_pgv/wooc)
 - Changed: UI for user list (volschin)
 - Added: Silhouette images support (kiwi_pgv/wooc)
 - Fixed: [ 2923977 ] PGV 4.2.3 ... redirection via login (wooc)
 - Fixed: [ 2923747 ] Bug in authentication.php (fisharebest)
 - Fixed: [ 2923224 ] Missing Space in Shared Note View GEDCOM Record (wooc)
 - Fixed: Sorting by gedcom filename instead of id (volschin)
 - Fixed: [ 2886694 ] add existing wife/husband SOUR etc (wooc)
 - Fixed: [ 2921858 ] Private marking in marriages (fisharebest)
 - Fixed: is_dead() was ignoring certain undated death events (fisharebest)

Version 4.2.3 2009-12-26
 - Update: TCPDF 4.8.019 (volschin)
 - Fixed: [ 2131272 ] do not update CHAN not remembered (wooc)
 - Fixed: [ 2563934 ] Sitemap module should only submit public URL's (wooc)
 - Fixed: [ 2905609 ] Address handling in quickupdate (volschin)
 - Fixed: [ 1953767 ] 4.1.5rel ... Negative #s in import statistics (fisharebest)
 - Update: PCLzip 2.8.2 (volschin)
 - Update: TCPDF 4.8.016 (volschin)
 - Fixed: [ 1738619 ] Deleting Gedcom file - Misc Entried Remain in DB (fisharebest)
 - Fixed: [ 2881117 ] 4.2.2 Merge 2 Indis makes 2 clones in Fam record (fisharebest)
 - Fixed: [ 2840835 ] Checker reports warning if CONT tag value is all spaces (fisharebest)
 - Fixed: [ 2900966 ] batch update for death records (fisharebest)
 - Fixed: [ 2898717 ] No AGE field in LDS GUIs (fisharebest)
 - Fixed: Extended javascript change for dates like 21.12.1880 also with a prefix like AFT (volschin)
 - Fixed: Wrong uppercase javascript change for date phrases in brackets (volschin)
 - Fixed: [ 2895822 ] SVN 6380 Fatal error class_stats.php (fisharebest)
 - Fixed: [ 2891461 ] Fault in the Quick add form (wooc)
 - Fixed: [ 1771095 ] Place Check - Index Directory (fisharebest)
 - Update: is_dead() calculations now take account of non-gregorian dates
 - Fixed: [ 1941711 ] Age at which to assume a person is dead Off By 1 Year (fisharebest)
 - Fixed: [ 2033046 ] Misleading text for changes_present (fisharebest)
 - Fixed: [ 1782849 ] Minimal Theme - No text shown - Research Assistant top menu (fisharebest)
 - Fixed: [ 1390658 ] Ever Increasing URLs (e.g. login link) (fisharebest)
 - Fixed: [ 1922109 ] Limited entries in "Most Common Surnames" statistic (fisharebest)
 - Fixed: [ 2781212 ] Descendancy Chart - NCHI (fisharebest)
 - Fixed: [ 2890112 ] Shared Notes list doesn't display titles (4.2.3 svn) (fisharebest)
 - Fixed: [ 2891075 ] MINOR name display anomaly (fisharebest)
 - Fixed: [ 2891924 ] Another HTML rendering bug (fisharebest)
 - Fixed: [ 2891960 ] Date/age/death issue (fisharebest)
 - Fixed: [ 2890679 ] Sorting sources (fisharebest)
 - Fixed: [ 2890066 ] PGV won't use browser's preferred language (canajun2eh)
 - Fixed: [ 2881979 ] Tab problem individual page (fisharebest/julianito)
 - Fixed: [ 2882104 ] Minor CSS detail (fisharebest)
 - Fixed: [ 2890031 ] SVN, User migration, wrong DB function (fisharebest)
 - Added: [ 2882125 ] Date sorting requests (fisharebest)
 - Fixed: [ 2818804 ] PHP 5.3 errors galore (fisharebest/volschin)
 - Fixed: [ 2825324 ] Source Tab Skips Sources on Names (fisharebest)
 - Fixed: [ 2879844 ] [4.2.3] General Search results (fisharebest)
 - Fixed: [ 2888957 ] SVN, DB import fails with samll letter to insert into n_sort (fisharebest)
 - Fixed: [ 2879600 ] Googlemaps ignores privacy rules (wooc)
 - Update: Prototype 1.6.1 and Script.aculo.us 1.8.3 (volschin)
 - Update: Module for PunBB 1.2.22 (volschin)
 - Fixed: [ 2865480 ] 4.2.2 Googlemaps, Place Hierarchy not display in Chrome (wooc)
 - Fixed: [ 2871549 ] Re-named PGV folder requires manual edit of config.php (canajun2eh)
 - Fixed: [ 2869455 ] Unable to delete a research assistant folder (patch by mmoreno)
 - Added: [ 2843471 ] Remove "Remember me..." (fisharebest)
 - Fixed: [ 2857144 ] v4.2.2 sitemap files contain duplicate entries for multi-ged (fisharebest)
 - Fixed: [ 2827267 ] Fix name slashes and spaces of all types of names (fisharebest)
 - Update: Performance of privacy calculations (fisharebest)
 - Fixed: [ 2858324 ] SVN  error 8 on edit family popup (fisharebest)
 - Fixed: [ 2866474 ] Deleting a Task (fisharebest)
 - Fixed: [ 2844024 ] class_gedcomrecord.php 5784 (fisharebest)
 - Fixed: [ 2848954 ] Incorrect page headers (canajun2eh)
 - Fixed: [ 2844011 ] gedrecord.php 4462 minor issue (fisharebest)
 - Update: Updated readme.txt to highlight the necessity for PDO/mysql (windmillway)
 - Added: New statistics (wooc)
 - Fixed: [ 2833809 ] Cannot empty all the clipping cart (canajun2eh)

Version 4.2.2 2009-08-01
 - Fixed: [ 2826529 ] 4.2.2svn5976 - Advanced HTML square brackets error (wooc)
 - Fixed: [ 1625495 ] 4.1 Chinese not shown in Report (imsza)
 - Fixed: [ 1410725 ] 4.0b5: Footnote numbers in reports cause line breaks (imsza)
 - Fixed: [ 1568536 ] Ahnentafel report formatting issues (imsza)
 - Fixed: [ 1539988 ] Family Group Report - PDF Error (imsza)
 - Fixed: [ 1779795 ] SVN1489 Multiple Minor Issues with HTML Ahnen Reports (imsza)
 - Fixed: [ 2820985 ] [New Reports] PGV Version Number Leak (imsza)
 - Added: All "List" reports that was originally made for portrait also support 'landscape' for a wider view (imsza)
 - Added: All Report has user Font selection drop-down box (imsza)
 - Added: "Themes" is enabled. I have no idea how the Themes is working with the reports! But, its cute... (imsza)
 - Fixed: "Unknown gender" is also handled correctly in the xml files (imsza)
 - Fixed: Multiple image support even on multiple pages (imsza)
 - Fixed: [ 2820729 ] Approve media changes on MediaViewer does not work (fisharebest)
 - Fixed: database download doesn't respect Privacy (canajun2eh)
 - Added: selectable Privacy for database or clipboard download (canajun2eh)
 - Added: allow constant prefix to file names in database or clipboard download (canajun2eh)
 - Added: selectable directory separator for file names in database or clipboard download (canajun2eh)
 - Changed: temporarily disable GRAMPS download for clipboard -- ZIP file has errors (canajun2eh)
 - Added: [ 2806347 ] Show xref ID on edit screen (fisharebest)
 - Fixed: [ 2794158 ] DEAT age 0 leaves orphaned AGE event (fisharebest)
 - Fixed: [ 2814930 ] New user with space in username is not editable (fisharebest)
 - Fixed: [ 2820278 ] Changes vanish (wooc)
 - Fixed: [ 2820508 ] [SVN:5891] famid not propogating to report (fisharebest)
 - Fixed: [ 2815875 ] Theme-related problems in Opera (volschin)
 - Added: [ 2798575 ] clustrmaps support similar to googlemaps. Enable
   by adding define('PGV_CLUSTRMAPS', 'your website address'); to your
   config.php (sridharb)
 - Fixed: [ 2816347 ] XHTML - family_nav.php (windmillway)
 - Fixed: [ 2815546 ] Timeline Chart display issue (wooc)
 - Added: [ 2812244 ] List branches by surname (opus27)
 - Fixed: [ 2811443 ] [5774] Double helping of tables (fisharebest)
 - Fixed: [ 2806853 ] Minor error in faq.php css classes (fisharebest)
 - Fixed: [ 2579268 ] Nonexistent != Private != blank (wooc)
 - Fixed: [ 2807477 ] Minor tweaks to gedcheck.php (fisharebest/kiwi_pgv)
 - Fixed: [ 2806749 ] Cache needs to be cleared when changing theme (canajun2eh)
 - Fixed: [ 2806364 ] Typo in functions_mediadb.php (wgroleau)
 - Fixed: [ 2806055 ] Incorrect calc - "Person who lived longest" (fisharebest)
 - Fixed: [ 2578740 ] Indilist Mother's name wrong (fisharebest)
 - Fixed: [ 2801382 ] Fatal error: Uncaught exception 'PDOException'  (windmillway)
 - Added: [ 2741685 ] SQL Version Update (fisharebest)
 - Fixed: [ 1479083 ] 4b07 - malformed links generated (fisharebest)
 - Fixed: [ 1767948 ] FAQ header doesn't like quotes upon edit (fisharebest)
 - Fixed: [ 2231897 ] [416pre] - Add GEDCOM ... Default person (fisharebest)
 - Fixed: [ 1783041 ] (4.1)  Unable to find record with ID (fisharebest)
 - Changed: Fixed error occurring in inverselink.php, Changed "add" simplyxxx theme icons for clarity, small language change (windmillway)
 - Added [ 1209782 ] Top Down pedigree tree (wooc)
 - Changed: Various core files in preparation for GEDFact_assistant/MEDIA/ module (windmillway)
 - Changed: Placed restriction on GEDFact_assistant/MEDIA/ to be PGV_USER_GEDCOM_ADMIN only (windmillway)
 - Fixed: [ 2786280 ] 4.2.1 search results in families have duplication (fisharebest)
 - Fixed: [ 2790245 ] link error in standard theme (fisharebest)
 - Changed - Various core files in preparation for GEDFact_assistant module (windmillway)
 - Changed Move various media "thumbnails" to the "index/media" subdirectory (canajun2eh)
 - Fixed Text media items not being displayed properly with Lightbox. (windmillway)
 - Fixed [ 2789308 ] ERROR 8: Constant PGV_GOOGLE_ANALYTICS already defined (fisharebest)
 - Fixed Errors on Album page and Reorder Media page highlighted by introduction of PDO parameters (windmillway)
 - Added Comment field to "Banned by IP" and "Search engine by IP" lists on Manage Servers page (canajun2eh)
 - Fixed [ 2779222 ] Adding a wrong date destroys all individual lists (fisharebest)
 - Fixed [ 2780483 ] nick name ordering error/mess (fisharebest)
 - Fixed [ 2780414 ] Clippings Cart MySQL Error (fisharebest)
 - Fixed [ 2774786 ] [G Map Module] GOverviewMapControl Defaults to Empty Display (wooc)
 - Fixed [ 1694445 ] SVN 1593: Individual Report, Text align (wooc)
 - Added [ 2671412 ] Link to Statistics Charts from GEDCOM Statistics Block (wooc)
 - Fixed [ 2734393 ] Review Changes Diff for Appended fails (fisharebest)

Version 4.2.1 2009-04-05
 - Fixed: [ 2730614 ] SVN 5320: Media Upload fails (canajun2eh)
 - Fixed: [ 2595714 ] Truncated first letter of thumb name if non-ASCII character (fisharebest)
 - Added: Cemetery report (canajun2eh)
 - Fixed: [ 2721892 ] Media Viewer ignores "Hide file name" config option (canajun2eh)
 - Fixed: [ 2702565 ] [4.2-4.2.5241] autocomplete not working when accented charac (wooc)
 - Added: Make Autocomplete an option in the GEDCOM config, Edit section (canajun2eh)
 - Fixed: [ 2634211 ] [4.2]+[4.1.6] Individual Add(ed) Facts not stored (fisharebest)
 - Fixed: [ 2604802 ] In the "Find Place" link the "Display all" list doesn't show (wooc)
 - Fixed: [ 2711647 ] Privacy option changes not working (canajun2eh)
 - Fixed: [ 2708857 ] [4.2.1svn5259] Lifespan chart reversed up/down arrows (wooc)
 - Fixed: [ 2333142 ] Relationship error (wooc)
 - Fixed: [ 2702570 ] [4.2-4.2.5241] autocomplete not active in quickupd. fields (wooc)
 - Fixed: [ 2702575 ] [4.2-4.2.5241] place with ( or with ) in googlemaps module (wooc)
 - Added: Extra language file for Shared Notes (windmillway)
 - Fixed: [ 2694015 ] Incorrect handling of Highlighted image (canajun2eh)
 - Changed: Add language editor support for comments on variable definition lines (canajun2eh)
 - Changed: Add language editor support for var. names or text enclosed in apostrophes (canajun2eh)
 - Fixed: [ 2687480 ] Language file editor wrong output when string is ";" (canajun2eh)
 - Fixed: [ 2685597 ] Missing underline for Preferred Name on Personal Details page (canajun2eh)
 - Added: [ 2684836 ] Files created with sitemap give an error on Google (borkhuis/wooc)
 - Changed: improved user interface for adding new fact from clipboard (canajun2eh)
 - Fixed: [ 2672126 ] Media Highlight/Thumb selectors not shown to editing users (canajun2eh)
 - Fixed: Log Error: admin - ERROR 8: Undefined index: small; (windmillway)
 - Changed: removed superfluous "add unlinked note" link on notelist.php page (windmillway)
 - Changed: removed superfluous "add unlinked note/source" link on find.php pop-up (windmillway)
 - Fixed: Minimal and Wood Themes not appearing in Change Theme Dropdown list (windmillway)
 - Fixed: Corrected Tag exclusion on Filtering when finding Shared Notes (Thanks Greg) (windmillway)
 - Fixed: Enabled Filtering when finding Shared Notes (Find.php) (Just a pending email to Greg on tag exclusion) (windmillway)
 - Fixed: Error to $factarray caused by previous update svn5132 (windmillway)
 - Added: Admin page, Add "unlinked note" and reorganised sections.(Thanks for the code Nigel). Added: various Help Texts for Shared Notes. (windmillway)
 - Changed: added missing Shared Note icon references to Xenea Theme (windmillway)
 - Added: Sour Tag for shared Notes on note.php page(windmillway)
 - Added: Shared Notes (or Linked Notes) support (windmillway)
 - Fixed: [ 2637256 ] Extended Relatives Report Header Overwritten (wooc)
 - Fixed: [ 2639453 ] Place check indicating X is difficult to tell the colour (fisharebest)
 - Changed: Add option to sort Manage Media list and MultiMedia list (canajun2eh)
 - Fixed: [ 2612938 ] 4.2.1 svn rev.5059 - Translation error (fisharebest)
 - Fixed: [ 2608286 ] Copy EVENT causes error in option field (fisharebest)
 - Fixed: [ 2556004 ] 4.2.0 - Reports without data output (fisharebest)
 - Fixed: [ 2562498 ] 4993 General Search - last change (fisharebest)
 - Fixed: [ 2555000 ] 4.2 Anniversary Calendar no privacy rules (fisharebest)
 - Added: [ 2522082 ] Go To Merged Record (fisharebest)
 - Added: [ 2580275 ] 4.2 R.A. improved functionality for Autosearch on Ancestry (erostew/fisharebest)
 - Fixed: [ 2567372 ] Admin does not always see changes to approve correctly (fisharebest)
 - Fixed: [ 2328664 ] Research Assistent (fisharebest)
 - Added: Support for Serbian (Latin alphabet) (canajun2eh)
 - Fixed: [ 2534707 ] [4897] MARR source not added when date is missing. (fisharebest)
 - Fixed: [ 2567389 ] "Media Viewer using full GEDCOM Media URL"; Also "source.php error with Lightbox"; (windmillway)
 - Changed: Removed "Update Photo" option from Quick Update (canajun2eh)
 - Changed: Improved user interface in Manage Media (canajun2eh)
 - Fixed: [ 2580303 ] GoogleMap - Add place not working in FireFox (wooc)
 - Added: .wmv support to JWplayer module. (windmillway)
 - Fixed: [ 2116080 ] [3870] Favourites missing from Xenea (wooc)
 - Fixed: [ 2477810 ] Media Title Not Displaying on mediaviewer.php (canajun2eh)
 - Fixed: [ 2350355 ] PGV 4.1.6 "Printer-friendly version" (wooc)
 - Fixed: [ 2556175 ] Error 2 w Edit geographic place locations (wooc)
 - Fixed: [ 2555840 ] Interactive Tree doesn't work when living names hidden (canajun2eh)
 - Fixed: [ 2555574 ] Interactive Tree incorrect text spacing inside box (canajun2eh)
 - Added: Preparatory work to enable config option to turn on/off each Tab Navigator on Indi page (windmillway)
 - Fixed: [ 2555579 ] Interactive Tree box disappears when clicked (wooc)
 - Fixed: [ 2329962 ] autocomplete css (wooc)
 - Fixed: [ 2555011 ] Quick Update fails with suffix on name (wooc)
 - Fixed: [ 2554221 ] 4.2 Interactive tree shown for user and not the individual (canajun2eh)
 - Fixed: [ 1969541 ] 4.1.5 Quick Update:  Address gets concatenated (wooc)
 - Fixed: [ 1803282 ] [4.1.2] Adding OCCU in Quick Update wont work (wooc)

Version 4.2.0 2009-01-31
 - Added: GEDCOM config option to control Index or Portal page showing after Login (canajun2eh)
 - Fixed: [ 2544257 ] [4942] Show stat's charts ERROR 8's (wooc)
 - Changed: Reduced size of (Fxx) text in Navigator (windmillway)
 - Fixed: [ 2543891 ] Need to refresh to see approved changes (wooc)
 - Fixed: [ 2542150 ] [4927] Cannot add date to MARR when SOUR is present (wooc)
 - Fixed: [ 2536206 ] [4.1.6] Double Date Field on Census Re-edit (wooc)
 - Added: Quick Parents/Step/Immediate Family Page Link on Indi Page Family Navigator (windmillway)
 - Fixed: [ 2524544 ] AddFavourites() not working (canajun2eh)
 - Fixed: [ 2391927 ] Ahnentafel report crashes (ljm)
 - Changed: [ 2534555 ] Modify 'Prefer fact sources' option (canajun2eh)
 - Changed: [ 2481763 ] Change options that control the use of Quick Update (canajun2eh)
 - Changed: [ 2481776 ] Change order of Edit menu entries on Indi and Family pages (canajun2eh)
 - Fixed: [ 2256627 ] Ahnentafel report crashes (ljm)
 - Fixed: [ 2193477 ] [4146] Printer Friendly View Problems (wooc)
 - Fixed: [ 2530481 ] Autocomplete error adding new place (wooc)
 - Fixed: [ 2430622 ] [4548] Places Error Possibly Caused by Autocomplete (wooc)
 - Added: Support for Indonesian (canajun2eh)
 - [ 2530830 ] 4881 Ancestry Chart, Show cousins (fisharebest)
 - [ 2529023 ] 404 on repo/show changes (fisharebest)
 - Changed: new picasa album thumbnail (windmillway)
 - Fixed: [ 2495330 ] [4720] indilist shows married names not obeying config (fisharebest)
 - Fixed: [ 2521772 ] [4784] Serious bug in places (fisharebest)
 - Fixed: [ 2521121 ] [4841] - ASSO tag not linked (fisharebest)
 - Changed: Slightly improved picasa thumbnail appearance on Simplyxxx themes (windmillway)
 - Added: Include Lightbox config file in functions.php to pick up Lightbox iframe (url) width and height variables. (windmillway)
 - Added: Small change to media handling to pick up globe thumbnail. Corrected wrong display of "\" in Lightbox Notes. (windmillway)
 - Changed: Importing/exporting places to/from GoogleMap with level>4 (wooc)
 - Fixed: [ 1752892 ] Maps not working right (wooc)
 - Fixed: [ 1864790 ] Problems with places and place maps (wooc)
 - Fixed: [ 1912861 ] Googlemap place names are language dependant (wooc)
 - Fixed: [ 1912864 ] countries.csv inconsistent with countries.en.php (wooc)
 - [ 2514630 ] Install Wizard fails to complete. (fisharebest)
 - Changed: modified JWplayer files to work with new YouTube changes to embedded files (windmillway)
 - Changed: Further Improvements to Gerry's new handling of various media file types (windmillway)
 - [ 2494959 ] addSeperator() spelling (fisharebest)
 - Added: [ 2497934 ] Time since login (wooc)
 - Changed: Correct handling of various media file types (canajun2eh)
 - Changed: Correct handling of media files that are URLs (canajun2eh)
 - Changed: Patch [ 2486577 ] applied. Auto show of Notes in Lightbox window and in slide show. (windmillway)
 - Fixed: [ 1864683 ] NOTE text is duplicated (SVN2450) (fisharebest)
 - Fixed: [ 2009275 ] privacy / is_dead calculations are improper (fisharebest)
 - Fixed: [ 2473228 ] update_isdead while Gedcom import (fisharebest)
 - Fixed: [ 2481665 ] SVN 4632 age comp error (fisharebest)
 - Fixed: [ 2495180 ] [4719] Typo in RA (erostew)
 - Fixed: Incorrect block heading format on Index and Portal pages when page language is RTL (canajun2eh)
 - Changed: Indi Navigator: Set 5 Tabs only: Facts/Notes/Sources/Media/Album pending config options. Removed on/off Toggle link (windmillway)
 - Fixed: [ 2485553 ] Googlemap page error. Also removed Navigator "Tab", replaced with link on right (more to be done on config) (windmillway)
 - Changed: Re-write of Daitch-Mokotoff "sounds like" algorithm (canajun2eh)
 - Fixed: Googlemap Redraw Map/Map/Satellite/Hybrid/Terrain boxes for other Browsers (in addition to FireFox) (windmillway)
 - Added: Indi Navigator to ALL tabs except Research Assistant and Tree (Navigator can be toggled on/off with Navigator Tab) (windmillway)
 - Fixed: [ 2477484 ] [4593] Research Assistant - Mc to MAC (fisharebest)
 - Fixed: [ 2475261 ] client.php?action=getxref&position=all fails (fisharebest)
 - Fixed: [ 2474873 ] User Journal entry gets added as GEDCOM News article (canajun2eh)
 - Changed: Removed "Skip Cleanup" button on Upload GEDCOM page (canajun2eh)
 - Fixed: [ 2474045 ] Several problems when uploading GEDCOM (canajun2eh)
 - Fixed: [ 2474040 ] "Upload GEDCOM" option in Setup wizard doesn't work (canajun2eh)
 - Fixed: [ 2473198 ] Logout doesn't go back to default GEDCOM (canajun2eh)
 - Fixed: [ 2461403 ] Configured default language not being used (canajun2eh)
 - Fixed: [ 2459204 ] unable to update with GDBI (fisharebest)
 - Added: [ 2154522 ] SMTP w/ phpMailer [followup to 1869063] (wooc)
 - Added: [ 1869063 ] SMTP mail via PHPMailer added to functions_mail.php (wooc)
 - Fixed: [ 2457278 ] Advanced search doesn't work right (canajun2eh)
 - Fixed: Quick Update, Edit Name, and Add Person forms don't obey "Surname First" option (canajun2eh)
 - Fixed: Help for Hebrew and Romanized Names in Quick Update form need improvement (canajun2eh)
 - Changed: Remove "Use RTL Functions" option in GEDCOM configuration (canajun2eh)
 - Fixed: [ 2454091 ] Error 8 in Indi list (canajun2eh)
 - Fixed: [ 2445781 ] 4559 Events of close relatives (wooc)
 - Fixed: Incorrect Default Audio thumbnail showing when on Mediaviewer or Medialist pages with mp3 media (windmillway)
 - Fixed: [ 2388981 ] gdbi fails with 4.1.6 (fisharebest)
 - Changed: Album Tab: Fixed and Reinstated inline Media sort. (windmillway)
 - Fixed: Advanced Search "Add More Fields" option doesn't work in IE (canajun2eh)
 - Added: [ 2271529 ] Export gedcom to index directory (fisharebest)
 - Fixed: [ 2432314 ] client.php 4498 inconsistency (fisharebest)
 - Fixed: [ 2432443 ] error in item called by client.php
 - Added: More options in Advanced Search name fields (canajun2eh)
 - Fixed: [ 2425458 ] Anomily if link family ID using lower case f (fisharebest)
 - Fixed: Corrected error occurring on Media Tab when "new" and "old" media changes are not yet accepted. (windmillway)
 - Changed: Album Tab Page, minor CSS alignment changes, Media Tab page, correct audio thumbnail (windmillway)
 - Fixed: File not found errors on Album Tab page if GEDCOM loaded from PAF (windmillway)
 - Added: Option to include/exclude married names on indi/fam lists
 - Fixed: [ 2391188 ] Tree Tab Error (fisharebest)
 - Added: Load welcome page blocks in parallel using ajax
 - Added: Load indi page tabs in parallel using ajax
 - Fixed: [ 2328568 ] Search finds too much (fisharebest)
 - Fixed: [ 2058324 ] [3677] Search Routine with Multiple Gedcoms (fisharebest)
 - Fixed: [ 2391217 ] 4.1.6 error when search would result in a private ID (fisharebest)
 - Fixed: [ 1849095 ] Handling of invalid FAM number in search (fisharebest)
 - Fixed: [ 1965654 ] 4.1.5 General Search Living Names being shown (fisharebest)
 - Fixed: [ 2096827 ] [3792] Search still shows people from wrong gedcom (fisharebest)
 - Changed: Use CSS instead of images to display hit counters (canajun2eh)
 - Fixed: [ 2099148 ] Wrong EOL on translation (fisharebest)
 - Fixed: [ 1814907 ] Highlighted Starred Names in Search List (fisharebest)
 - Fixed: [ 1786458 ] Top nn Surnames Block - Wrong names and counters (fisharebest)
 - Fixed: [ 1762942 ] SVN1348 - famlist - people with partly unknown names (fisharebest)
 - Fixed: [ 2399903 ] [4450]Top 10 Given breaks html validation (wooc)
 - Fixed: [ 2397080 ] [4417] error on close relatives tab (fisharebest)
 - Fixed: [ 2396047 ] Quick update: "Family with ..." shows Death fact (canajun2eh)
 - Fixed: [ 2392462 ] Quick Update, "family with ..." error (canajun2eh)
 - Fixed: [ 2316629 ] [svn 4303] Cannot update privacy settings (fisharebest)
 - Fixed: [ 2269709 ] [4270] Top 10 surnames not sorted (fisharebest)
 - Fixed: [ 1496031 ] Soundex Search bugs
 - Fixed: [ 1608538 ] Soundex Search Output
 - Fixed: [ 2377438 ] Clipping Cart, GRAMPS format, download error (canajun2eh)
 - Changed: Statistics - user-friendly (wooc)
 - Fixed: [ 2330631 ] Statistics Plot - Minor Issues (wooc)
 - Fixed: [ 2370242 ] [4369] Meta Robots setting not sticking (canajun2eh)
 - Fixed: [ 2331810 ] 4.1.6 class event error displaying indi (fisharebest)
 - Added: [ 1527087 ] cleanup lat/lon export from TMG - implement as batch update plugin
 - Fixed: [ 2344682 ] Find Individual ID (fisharebest)
 - Fixed: [ 2350196 ] HTTPS / SSL detection in session.php (canajun2eh)
 - Fixed: [ 2232565 ] Reports Cancel Button (fisharebest)
 - Fixed: [ 2332475 ] [4324] Unable to add new folder in Manage Media (canajun2eh)
 - Fixed: [ 2336088 ] 4.1.6 Edit Name - Source trailing @ displayed (fisharebest)
 - Fixed: [ 2318856 ] [4306] Search not functioning as before (fisharebest)
 - Fixed: [ 2333648 ] Handling alternate source format (fisharebest)
 - Added: Statistics : use Google Chart API instead jpgraph library (wooc)
 - Added: [ 2319821 ] Polish names -ski & -ska (fisharebest)
 - Fixed: [ 1786448 ] SVN1545 - searching for \\ causes Apache to crash (fisharebest)
 - Fixed: [ 1687548 ] 41b4 Search does not recognise multiple ÄäÖöÅå (fisharebest)
 - Fixed: [ 2152304 ] [4030] Advanced Search (fisharebest)
 - Fixed: [ 2154987 ] [4017] ordinary search (fisharebest)
 - Fixed: [ 1992158 ] Search failed with polish letters (fisharebest)
 - Fixed: [ 1852202 ] 4.1.3 - Search on UTF-8 characters is case sensitive (fisharebest)
 - Fixed: [ 2046137 ] no search results with german characters (fisharebest)
 - Fixed: [ 1784998 ] Search causes errors (fisharebest)
 - Fixed: [ 1493546 ] 4.08b Bad create SQL table with national support of UTF-8 (fisharebest)
 - Fixed: [ 2275883 ] Wrong thumbnail path using Media Firewall (canajun2eh)
 - Fixed: [ 1835731 ] Favorites summary doesn't work -> fv_gid too short (fisharebest)
 - Fixed: [ 1968304 ] favorites - fv_gid too short (fisharebest)
 - Removed: Not-working secondary reorder (horiz) link in Album Tab page Header area (windmillway)
 - Added: [ 2264855 ] Show more details of paste items (fisharebest)

Version 4.1.6
 - Fixed: [ 2287009 ] 4.1.6 User Cleanup Errors (canajun2eh)
 - Fixed: [ 2275930 ] See approved change only after page refresh (fisharebest)
 - Fixed: [ 2281694 ] [4276] D1 in Tree View (kiwi_pgv)
 - Fixed: Errors in language file editor (canajun2eh)
 - Fixed: [ 2275792 ] Top search - innn - Privacy in Raw Updating (fisharebest)
 - Fixed: Media Viewer "relates to" table doesn't obey "show last change" option in GEDCOM config (canajun2eh)
 - Fixed: [ 2251169 ] Error Adding FAQ entry (canajun2eh)
 - Changed: Improvements to Media upload and Media editing (canajun2eh)
 - Fixed: [ 2003907 ] Redundancy info, "On This Day" block (fisharebest)
 - Added: Improvement to Notes positioning and appearance when enlarged Lightbox Image Notes icon is clicked. (windmillway)
 - Fixed: [ 2217714 ] Changes to Thumbnail Behavior for Non-Images (windmillway)
 - Fixed: [ 2156359 ] Recent Changes Block Not Sorted by Time (fisharebest)
 - Fixed: [ 2193279 ] Merge trouble with upper/lower case (fisharebest)
 - Added: Support for Romanian language (canajun2eh)
 - Changed: Installation Wizard, Step 4, when using IE produces incorrect page format (canajun2eh)
 - Fixed: [ 2173838 ] New family not shown on relationship tab (opus27)
 - Changed: Use normal page headers when editing existing site config (canajun2eh)
 - Fixed: [ 2193733 ] Installation Wizard won't complete (canajun2eh)
 - Fixed: [ 2209285 ] Incorrect action when editing completely empty Place (canajun2eh)
 - Fixed: [ 2199778 ] [4146] Adding Parents in Quick Edit Copies Marriage (fisharebest)
 - Fixed: [ 2203023 ] Installation Wizard breaks $INDEX_DIRECTORY setting (canajun2eh)
 - Fixed: Thumbnail positioning on mediaviewer page. (windmillway)
 - Fixed: Incorrect "loopback" to mediaviewer page if "Use Media Viewer" item set to Yes in the config page. (windmillway)
 - Added: Show thumbnails for URL images/videos/pages on multimedialist, mediaviewer, and media tab pages (windmillway)
 - Fixed: [1882147] Fan (circle) chart gets corrupted at 10th generation (fisharebest)
 - Fixed: Set proper permissions on image files in CGI mode (ljm)
 - Fixed: parse error in flvVideo.php (windmillway)
 - Added: Support for "You Tube" Videos (Ref. Open discussion "YouTube-video of Individuals" for details (windmillway)
 - Fixed: [ 2159394 ] Download Config fails (ljm)
 - Fixed: Error in User admin -> Cleanup users when users not approved by admin exist (canajun2eh)
 - Fixed: URL media not displaying/editing properly on Media Tab (windmillway)
 - Added: "Create missing thumbnails" option on Manage Media page (canajun2eh)
 - Fixed: Improve usability of Manage Media page when working within a directory (canajun2eh)
 - Fixed: [ 2186659 ] SVN 4113: Setup wizard, index dir field in wrong group (canajun2eh)
 - Added: Prevention of "css file not found" Apache Log errors if Lightbox module not installed. (windmillway)
 - Fix: [ 2180725 ] 4107 Notes Tab (fisharebest)
 - Added: [ 1810145 ] Simple Sources
 - Added: Enabled re-intialisation of Lightbox (if installed) on any tab on Indi page (windmillway)
 - Fixed: Illegible text on Googlemap GInfoWindowTabs with Themes simplyxxx. (windmillway)
 - Changed: Small change to "return button" link on admin page Lightbox configuration (windmillway)
 - Added: [ 2145398 ] [ 2148349 ] Admin Config Page Link to Lightbox configuration (windmillway)
 - Fixed: [ 1985973 ] ASSO tag GUI doesn't work (fisharebest)
 - Fixed: [ 1876508 ] gender icon distorted (fisharebest)
 - Fixed: [ 2145398 ] Incorrect call to lb_config.php in mediaviewer.php (ref line below). (windmillway)
 - Fixed: [ 2145398 ] [ 2148349 ] Incorrect call to lb_config.php if it does not exist. (windmillway)
 - Fixed: [ 2046123 ] 4.1.5 ... link to gedrecord.php (fisharebest)
 - Fixed: [ 2044219 ] Editing records - Case sensitivity of PID (fisharebest)
 - Fixed: [ 2131257 ] 4.1.5rel places list misreads gedcom notes (fisharebest)
 - Fixed: [ 2025978 ] Changes Report (SVN 3591) (fisharebest)
 - Fixed: [ 2125739 ] 3913 Individual list (fisharebest)
 - Fixed: [ 2154489 ] [4030] Notes not saved (fisharebest)
 - Fixed: [ 1835731 ] Favorites summary doesn't work -> fv_gid too short (fisharebest)
 - Fixed: [ 2129466 ] [3931] Check GEDCOM (fisharebest)
 - Fixed: [ 2152310 ] [4030] or earlier- Events of Close relatives (fisharebest)
 - Fixed: [ 2152909 ] Pedigree Tree - problem with PEDIGREE_GENERATIONS (fisharebest)
 - Fixed: [ 2149514 ] [4018] email messages gives error (fisharebest)
 - Fixed: [ 2143803 ] [3964] media list error (fisharebest)
 - Fixed: [ 2127393 ] [3921] placelist.php can't cope with " quotes in placenames (fisharebest)
 - Fixed: [ 2131763 ] First Names Block (fisharebest)
 - Fixed [ 2134663 ] ALL CAPS surnames (opus27)
 - Added Advanced Search (yalnifj)
 - Changed: JWplayer : Corrected wrong path to Reorder option, now incudes correct thumbnail (windmillway)
 - Added: JW flash video player support whether Lightbox module installed or not.
          Note: JWplayer module IS required for either case for flv playback. (windmillway)
 - Changed: JW flash video player support now in separate module. Prepares for upcoming flash video support with or w/o Lightbox. (windmillway)
 - Added [ 2014313 ] Clippings: limit number of generations (yalnifj)
 - Lightbox: added JW flash player video support for .flv media files (windmillway)
 - Added Install Wizard.  Removed old editconfig.php (yalnifj)
 - Fixed [ 2130589 ] [3942] No GEDCOM upload replacement (fisharebest)
 - Fixed [ 2139591 ] Errors in configuration code (fisharebest)
 - Fixed [ 2078143 ] [3724] Ancestry chart errors (opus27)
 - Fix: [ 1791639 ] create_dates_table and SQL Server (fisharebest)
 - Fix: [ 1928205 ] SVN 2778 V4.1.4 Errors with MS SQL (fisharebest)
 - Added: [ 1428937 ] autocompletion of fields like place of birth (opus27)
 - Fixed: [ 2104235 ] Add Favorites refuses a long URL (fisharebest)
 - Fixed: IE script error message "wz_tooltip.js must be included INSIDE the body section...." (windmillway)
 - Added: 2nd generation fly-out menus for Details and Album Family Navigator (windmillway)
 - Fixed: (1) Missing underline of starred names on Charts. (2) Erratic width of Navigator on Album Tab page. (windmillway)
 - Added list place size configuration setting (yalnifj)
 - Added: [ 1671551 ] 2-surnames support for PGV!!! (fisharebest)
 - Fixed: [ 2016270 ] Surname with commas (fisharebest)
 - Fixed:   Family_Nav - Possible "getLabel" error on certain indi's. (windmillway)
 - Changed: More aesthetic tidying up of Album Page Layout (fixed short table rows in IE) (windmillway)
 - Added:   Language support for Family navigator (ref. previous 2 entries). (windmillway)
 - Changed: General Tidying up of Family Navigator and associated nested tables (windmillway)
 - Added:   Half siblings support to Indi page "View Details of...", "View Album of..." Family_Navigator. (windmillway)
 - Fixed: [ 2087441 ] [3743] Bugs in edit_interface.php (wooc)
 - Changed: Allowed Lightbox enlarged image to show starred names as underlined in title (windmillway)
 - Fixed: Starred name problem - (introduced by svn 3755 and 3756) - (windmillway)
 - Fixed: [ 2082505 ] [3724] Indiv list diplay error (fisharebest)
 - Fixed: [ 1819502 ] Lightbox & Missing media file. (windmillway)
 - Fixed: [ 2079873 ] Fixed Charts ref line below (windmillway)
 - Fixed: [ 2079873 ] Names as media titles also now print double quotes (Nicknames) and do not truncate (windmillway)
 - Fixed: [ 1979072 ] and [ 1817168 ] Album Page now shows updated media (old and new) and removes edit menu from "old" item (windmillway)
 - Fixed: [ 2049164 ] ucwords is cultural bias (canajun2eh)
 - Fixed: [ 2038773 ] Concatenated data (CONC) splits UTF-8 characters (canajun2eh)
 - Fixed: [ 2028403 ] Age display glitch (fisharebest)
 - Fixed: [ 2034084 ] 3609 Find Family errors (fisharebest)
 - Added: [ 1923217 ] Google Translate API Addition to Language Tools (wooc)
 - Changed: Removed Portuguese (Brazil) language; replaced with Portuguese, using pt-br language files (canajun2eh)
 - Changed: Don't pollute log file with logs of known good spiders (canajun2eh)
 - Changed: Don't show lists until filter criteria have been entered (canajun2eh)
 - Fixed: [ 2022036 ] Translation tool adds backslashes input text
 - Fixed: [ 2020014 ] Weird indexing for surnames with some diacritics (canajun2eh)
 - Fixed: Album page errors due to import_request_variables() call being removed (windmillway)
 - Added theme based template for portal blocks (yalnifj)
 - Added theme based template for person box (yalnifj)
 - Added Tree tab to individual page (yalnifj)
 - Added Event class (yalnifj, neumont)
 - Added new NavTree chart (yalnifj)
 - Added [ 1675203 ] Geo-Names ajax address autocomplete (opus27)
 - Fixed: [ 2011427 ] [SVN 3475] lightbox : undefined function: htmlspecialchars, with PHP ver. less than PHP 5.0.1 (windmillway)
 - Fixed: [ 2012084 ] config page chokes on change list (fisharebest)
 - Fixed: [ 2002003 ] [SVN 3385] Place : toggle_lati_long is not defined (wooc)
 - Changed: Album Page: added get_first_letters() function in functions_name.php to correctly create a truncated TITLE dropdown link for RTL and LTR (windmillway)
 - Fixed: Album Page: Corrected wrong appearance of View Source drop down menu item when not authorized. Lightbox added to source.php page (windmillway)
 - Fixed: [ 2002885 ] Place of DEAT, assumed? (fisharebest)
 - Changed: Album Page: Minor font and cell width changes to accommodate languages other than English (windmillway)
 - Fixed: Album Page: Fixed RTL alignment of dropdown menu items, Removed spurious "dots" on Dropdown menu header link (windmillway)
 - Changed: Album Page: (Windmillway)
		1)Changed Thumbnail dropdown link to be a truncated version the Title of the media (instead of View or View/Edit)
		2)Changed source view to be viewable by all.
 - Changed: Album Page: (windmillway)
		1) Lightbox General Help Text now in line with PGV norms. (lang variable is also split for easier editing)
		2) Tidy up thumbnail area - Added drop-down menu to replace links above and below thumbnail.
		3) Made "View Notes" link a "toggle Show"/"toggle Hide" item on thumbnails and enlarged Lightbox images.
 - Fixed: [ 1677025 ] Search Results Sorttable List - Main name (fisharebest)
 - Fixed: [ 1166561 ] Undefined Indis in Indi-/Fam-List (fisharebest)
 - Fixed: [ 1998767 ] Google analytics error on Google place check (fisharebest)
 - Fixed: [ 1731593 ] Name twice in Individual and Family lists (fisharebest)
 - Fixed: [ 1985733 ] 3215 Unrecognized GEDCOM Code (fisharebest)
 - Fixed: [ 1675790 ] Individual List - Duplicates - Omissions (fisharebest)
 - Fixed: [ 1675691 ] Highlighted names with special characters - unprintable (fisharebest)
 - Fixed: [ 1984020 ] Placelist Indi Count Issue (fisharebest)
 - Fixed: [ 1952481 ] Special Unknown Names do not print OK (fisharebest)
 - Fixed: [ 1941667 ] SVN 2840 4.1.5 ... TITLE shows living people (fisharebest)
 - Fixed: [ 1849075 ] SVN2416 ... indilist sums incorrectly (fisharebest)
 - Fixed: [ 1967411 ] INDI sorting issue, latest SVN (fisharebest)
 - Fixed: [ 1921937 ] Starred surname in Surname Lists (fisharebest)
 - Fixed: [ 1999315 ] 3344 New Name & Lists (fisharebest)
 - Fixed: Indi Page Media Tab: Corrected truncation of title when Lightbox Image opened. (windmillway)
 - Fixed: Indi Page: Corrected Research assistant and Googlemap validation errors, tidied up a few lightbox files  (windmillway)
 - Fixed: Indi Page: Corrected all Validation errors. (windmillway)
		1) most within Lightbox files.
		2) some within Googlemap section in individual.php
 - Fixed: Lightbox Album: Media Re-sort (Horizontal sort): Fixed displacement problem in IE. (windmillway)
 - Added: Lightbox Configuration page: Now conform to PGV config file updates and avoid destroying lb_config file on option updates (windmillway)
 - Added: Album Tab Page: (windmillway)
		1) Added Notes Link on Enlarged Lightbox Image.
		2) Moved Thumbnail Mouseover Details Tooltip to link above Thumbnail.
		3) Added Tooltip "Balloon" option in Lightbox Configuration page.
 - Fixed: [ 1995523 ] Google Maps: Admin Issue with Single Quotes in Place Name (wooc)
 - Fixed: [ 1952941 ] Place Hierarchy with GoogleMap - Top Level - Nothing Shown (wooc)
 - Added: MediaList Page: Added "Notes" link in Lightbox window when Lightbox installed (windmillway)
 - Fixed: Lightbox: Corrected white rectangle appearing when closing Lighbox Image, Improved fast mouseover displacement of Tooltip
 - Fixed: Lightbox: Fixed Image Distortion when at low browser resolution when clicking previous or next buttons (windmillway)
 - Added: Lightbox: New Notes Display Link on Enlarged Lightbox Images.
 - Fixed: [ 1990954 ] SVN 2347 Error on links (fisharebest)
 - Fixed: [ 1987150 ] Auto close edit window error: removed surplus variable $mediaordsuccess (windmillway)
 - Fixed: [ 1946236 ] Over-counting individuals with a given surname (fisharebest)
 - Changed: Album tooltip Bubble now shows url items as "hotspot clickable" (windmillway)
 - Added: [ 1955594 ] Show Nicknames (fisharebest)
 - Added: Lightbox Album Page: (windmillway)
		1) New Feature - Removed Footnotes Row, Added Tooltip Bubble for notes associated with thumbnail
		2) Tightened up hotspot for "Details" link on enlarged Lightbox Image.
 - Fixed: Rewrite search-plugin code - various bugs/duplication/flexibilty/validation/etc.
 - Fixed: [ 1809805 ] Ancestry Search For Surname/Married Names (fisharebest)
 - Fixed: [ 1695907 ] RA Auto Search breaks with quoted given names (fisharebest)
 - Added: "Top 10 Given Names" block (canajun2eh)
 - Fixed: Don't suppress "years" in display of ages that also have months/days (fisharebest)
 - Fixed: [ 1684954 ] Lifespan Chart - Starred Middle Name (canajun2eh)
 - Fixed: Reorder Media: Hide Reorder Links when media count is less than 2. (windmillway)
 - Fixed: Re-Order Media: Remove error introduced in svn 3188. (windmillway)
 - Changed: Lightbox Album: (1) Changed: Thumbnail Note text Format. (2) Fixed: Hide Reorder Links when media count is less than 2. (windmillway)
 - Fixed: Lightbox Album: Album Navigator - Fixed spurious incorrect tab calls, Corrected alignment. (windmillway)
 - Fixed: Re-order Media: corrected wrong path for include in individual.php. (windmillway)
 - Fixed: Re-order Media: corrected omission for when Googlemaps not installed (windmillway)
 - Fixed: Corrected Reorder Media links when Googlemaps not installed (windmillway)
 - Changed: Hide Media Re-order links if number of Media items is less than 2 (windmillway)
 - Fixed [ 1979392 ] English extra.xx.php text shown in languages (canajun2eh)
 - Changed: Moved Reorder files to Includes directory, made media tab reorder media link a button (windmillway)
 - Fixed: [ 1952483 ] Fill Unknown Name - not working (fisharebest)
 - Fixed: [ 1952481 ] Special Unknown Names do not print OK (fisharebest)
 - Fixed: [ 1941609 ] Prefix mixes up sort (fisharebest)
 - Fixed: [ 1346616 ] Improper Sorting on Name Prefixes (fisharebest)
 - Added: New framework for name handlinga (fisharebest)
 - Changed: Allow Login block on Portal page (shows as Logout block) (canajun2eh)
 - Fixed: [ 1977981 ] login.php leads to empty Indy - and Wrong Admin ID (canajun2eh)
 - Fixed: Bogus message about missing cookie support on Login page (canajun2eh)
 - Added: New drag and drop Media Sort Function for Lightbox and Media Tabs (windmillway)
 - Fixed: [ 1970563 ] SVN 3115 _CHR_CHIL appears as gedcom error (fisharebest)
 - Changed: Lightbox: - Fixed Firefox dragNdrop erroneous initial displacement when in zoom mode (windmillway)
 - Fixed: [ 1940401 ] GEDCOM changes notification  (fisharebest)
 - Fixed: [ 1764343 ] login after login (fisharebest)
 - Fixed: [ 1774725 ] problem in login in site with several Gedcoms (fisharebest)
 - Changed: Lightbox: - Preparation for the Media sort feature (Which I hope to have out soon) (windmillway)
 - Changed: Lightbox: - Fix suppression of FF browser tooltip, personal Facts tooltip info etc (windmillway)
 - Added: Google Maps - use google geocode engine (wooc)
 - Fixed: [ 1966611 ] 4.1.5 - Edit Geographic Place Location - escapes, flag (wooc)
 - Fixed: [ 1965647 ] Starred Given Names in Charts including compact chart. (windmillway)
 - Changed: Added $GEDCOM global missed out in SVN 3050 (windmillway)
 - Fixed: RSS feeds/random media bug.  RSS duplicate include files.  (fisharebest)
 - Changed: Show persons name as Lightbox title (instead of file) name when viewing various Charts (windmillway)
 - Fixed: [ 1961705 ] Pedigree chart in portrait despite pref setting (canajun2eh)
 - Fixed: [ 1961288 ] [4.1.5] indi page tab script error if lightbox module not installed (windmillway)
 - Fixed: [ 1953273 ] [4.1.5] Research Assistant code parse errors (andrew_scss)
 - Added: Built-in generation of Google Analytics tracking code (fisharebest)
 - Added: Allow _BRTM and other events as substitutes for BIRT/MARR/DIV/DEAT
 - Fixed: [ 1953881 ] 4.1.5rel ... FAm events not showing in Personal facts tab (fisharebest)
 - Fixed: Charts block needs horizontal scroll bar (canajun2eh)
 - Fixed: [ 1958447 ] 4.1.5 "On This Day" block needs simple message (canajun2eh)
 - Added: New block to display _TODO items (fisharebest)
 - Fixed: [ 1947080 ] mediafirewall - fix auto-generated .htaccess file when PGV is in the root directory
 - Changed: Show highlight and thumbnail Media options only to Admin users (canajun2eh)
 - Fixed: [ 1956830 ] (unknown) when name exists
 - Fixed: [ 1954862 ] [4.1.5] Search engine visit errors (fisharebest)
 - Fixed: Place Hierarchy: Small change to align "bubble" background for themes Simplygreen, Simplyblue and Simplyred. (windmillway)
 - Fixed: Lightbox: Various CSS errors corrected (windmillway)
 - Fixed: [ 1955259 ] Pedigree Link from Tree shows without detail by default (canajun2eh)
 - Fixed: [ 1952553 ] SVN 2931 - Related facts - wrong titles of events on INDI (canajun2eh)
 - Fixed: [ 1954352 ] Placename Issue On Language Change For Some Themes (canajun2eh)
 - Fixed: [ 1952626 ] Place Hierarchy with GoogleMap - Umlauts in Place Name (canajun2eh)
 - Fixed: [ 1952654 ] 4.1.6 2931 Fatal error familysearch.php on line 160 (fisharebest)

Version 4.1.5 2008-04-27
 - Fixed: [ 1952284 ] Unknown names print without the (unknown) text (fisharebest)
 - Fixed: [ 1952073 ] SVN 2918 - STATS, bad SURN numbers (fisharebest)
 - Added: Standardised interface to CMS applications such as joomla, drupal, postnuke, etc. (fisharebest)
 - Fixed: [ 1951591 ] Error in Hebrew Date Editing (fisharebest)
 - Fixed: [ 1951335 ] Privacy Warning on View GEDCOM for Media Even for Admin (fisharebest)
 - Fixed: [ 1950986 ] Remote Link - Person to Person, SVN 2899 (fisharebest)
 - Fixed: [ 1947687 ] [4.1.4] Edit link in Quick Update does not work (fisharebest)
 - Fixed: [ 1946362 ] SVN 2867 - Quick Update Links to wrong GEDCOM (fisharebest)
 - Fixed: [ 1950235 ] SVN2887- Search Bug (fisharebest)
 - Fixed: [ 1950232 ] PGSQL: Syntax-error in functions_db.php (fisharebest)
 - Fixed: FACT/TYPE not being checked for privacy rules when editing raw gedcom (fisharebest)
 - Fixed: [ 1933760 ] SVN 2799 use of function id_type (fisharebest)
 - Fixed: Remove dependencies on record prefixes (fisharebest)
 - Fixed: Extra checks against reusing record IDs (fisharebest)
 - Fixed: [ 1949549 ] GEDCOM Stats block: incorrect block title (canajun2eh)
 - Fixed: Use stats class to calculate stats (fisharebest)
 - Fixed: Stats block counting records from other gedcoms (fisharebest)
 - Fixed: [ 1942593 ] Relationship Chart nth Cousin Calculation Issue (canajun2eh)
 - Fixed: Temp Fix for Lightbox giving errors when Googlemaps not installed (windmillway)
 - Fixed: [ 1944250 ] placelist.php Level Issue On Language Change For Some Themes (canajun2eh)
 - Added: Add "Painting" and "Other" to supported sortable media types on Lightbox-Album page(windmillway)
 - Fixed [ 1941544 ] Yahrzeiten Block in IE7 gives an Error (opus27)
 - Added: Add "Painting" and "Other" to supported media types (canajun2eh)
 - Fixed: [ 1943975 ] uploadmedia.php : undefined index "folder1" (canajun2eh)
 - Fixed: [ 1941658 ] Account Approval Email not sent to Admin (fisharebest)
 - Fixed: Move "maternal-death" style to stylesheet (fisharebest)
 - Added: Highligh fathers who die before their child is born (fisharebest)
 - Added: Option to show estimated birth/death dates on indi lists (fisharebest)
 - Fixed [ 1939774 ] MyGedView Portal Menu Showing even for Non-Logged In Users (canajun2eh)
 - Fixed: wrong gedcom record updated when syncing email changes to gedcom (fisharebest)
 - [ 1921974 ] SVN2756 Wrong names in search list for several GEDCOMs (fisharebest)
 - Fixed: weak randomly-generated passwords (fisharebest)
 - Fixed Logout sometimes goes to PGV site in SourceForge (canajun2eh)

Version 4.1.4 2008-04-04
 - Added Login block changes to Logout block once user is logged in (canajun2eh)
 - Fixed Welcome page in IE: blocks on right side are all fixed height (canajun2eh)
 - Fixed [1924688] SVN 2755 V4.1.4 Incorrect display of Indi page with IE (fisharebest)
 - Fixed [1912085] Syntax Error in downloadbackup.php (fisharebest)
 - Fixed [1907585] RSS Error
 - Fixed [1906576] Indi/Fam lists ignore event privacy settings (fisharebest)
 - Fixed [1900498] SVN 2610 - changes effecting Joomla Bridge (fisharebest)
 - Fixed [1718333] New user verification fails when hash ends with dot (fisharebest)
 - Fixed [1915244] SVN 2719 Caused a Source Citation Display issue on indi page (fisharebest)
 - Fixed [1912716] V4.1.4 Random picture block size (fisharebest)
 - Fixed [1912525] V4.1.4 User edit screen not displaying correctly (fisharebest)
 - Fixed [1910328] PHP Errors in useradmin.php (fisharebest)
 - Fixed [1908247] (4.1.4) Backup error, advanced-html block (fisharebest)
 - Fixed [1907581] GBR_England.txt and ENG.htm (fisharebest)
 - Fixed [1906629] Parent's age at child's birth wrong (fisharebest)
 - Fixed [1906444] SVN 2662 V4.1.4 errors on Review Changes block (fisharebest)
 - Fixed [1905569] ERROR 8: unserialize(): Argument is not a string(fisharebest)
 - Fixed [1905512] SVN 2657: Logout returns to MyGedview page as logged-in user (fisharebest)
 - Fixed [1903888] [SVN 2640] V4.2 tempuser variable not defined (fisharebest)
 - Fixed [1903621] [SVN 2639] PHP Errors in useradmin.php (fisharebest)
 - Fixed [1902458] user edits return to wrong GEDCOM (fisharebest)
 - Fixed [1901932] PHP 5.2.5 upgrade has caused errors (fisharebest)
 - Fixed [1901416] Visitors see the Logged-In User List (fisharebest)
 - Fixed [1901229] SVN 2612 Unable to see site in version 4.2 (fisharebest)
 - Fixed [1901099] 4.1.4 svn 2611 Can't authenticate new user (fisharebest)
 - Fixed [1896595] SVN 2576: Logout returns to MyGedview page as logged-in user (fisharebest)
 - Fixed [1895530] SVN 2559: undefined index errors in useradmin.php (fisharebest)
 - Fixed [1891170] Recognize Me - New Portal loading issues-site DOWN (fisharebest)
 - Fixed [1886435] Incorrect format for _UID fields (fisharebest)
 - Fixed [1882371] class_stats.php - date error with @#DGREGORIAN@ (fisharebest)
 - Fixed [1877920] Non Latin1 letters in user definition (fisharebest)
 - Fixed [1871905] (4.1.3) SQLite Error (fisharebest)
 - Fixed [1843093] Todays Events - Linking SVN 2360 (fisharebest)
 - Fixed [1842251] 'Edit Name' adds a slash to the end (fisharebest)
 - Fixed [1838108] 4.2 SVN (2277) useradmin.php PHP Error (fisharebest)
 - Fixed [1835401] User Comment - New Line - Wrong Print (fisharebest)
 - Fixed [1833111] Userfriendly Date editing on the Finnish page (fisharebest)
 - Fixed [1833098] Userfriendly Hebrew Date Editing - Error (fisharebest)
 - Fixed [1832031] Jewish Calendar days on Hebrew page (fisharebest)
 - Fixed [1829834] Yahrzeiten Block sorting of Anniversaries is wrong (fisharebest)
 - Fixed [1829822] Hebrew Death shown with (1 day after death) (fisharebest)
 - Fixed [1827152] Upcoming Events Block - Sorting (fisharebest)
 - Fixed [1823307] Calendar with 2 month year birth dates (fisharebest)
 - Fixed [1822388] Monthly Calendar - Wrong Other Calendar Dates (fisharebest)
 - Fixed [1821840] _HEB facts treated as names (fisharebest)
 - Fixed [1817474] Age at death icon for negative ages (fisharebest)
 - Fixed [1917774] Merge not syncronized (fisharebest)
 - Fixed [1876059] Merging INDI records is NOT synchronised into GEDCOM file (fisharebest)
 - Fixed [1910222] Privacy Global Issue: Limit view of the Number of Children (fisharebest)
 - Fixed [1906672] PGSQL + google-placecheck (fisharebest)
 - Fixed [1906661] PGSQL + google-sitemap (fisharebest)
 - Fixed [1899194] PGSQL + googlemap (fisharebest)
 - Fixed [1891057] "Improper" _UID format (fisharebest)
 - Fixed [1842715] large variables persisting too long (fisharebest)
 - Fixed [1842388] import_request_variables creates security problems (fisharebest)
 - Fixed [1825688] OPERA Javascript bug (fisharebest)
 - Added [1917766] Unlinked Individual (fisharebest)
 - Fixed [ 1929511 ] Some special characters in DB password cause errors (canajun2eh)
 - Added Allow customizable Fact name abbreviations in charts (canajun2eh)
 - fixed [ 1923586 ] Sort log file lists (canajun2eh)
 - Added [ 1907082 ] Configuration option to remove gender icon on charts (canajun2eh)
 - Fixed [ 1915381 ] Media tab: "delete" deletes too much (canajun2eh)
 - Changed Improved reports: Pedigree, BDM, Birth, Marriage, Death (canajun2eh)
 - Added [ 1850735 ] Statistics : use Google Chart API (opus27)
 - Fixed [ 1864117 ] R-A:Fatal error: Call to undefined method GedcomDate::Format
 - Fixed [ 1857074 ] Media Firewalled Files not included on Backup (ljm)
 - Events of close relatives : add great-grandchildren/parents (opus27)
 - Added [ 1840895 ] reorder children in modified families (opus27)
 - Added [ 1686246 ] Insert new child at the right place in the family (opus27)
 - Fixed [ 1838140 ] Edit interface bug when place editing (opus27)
 - Fixed [ 1833538 ] GedCheck problem (opus27)
 - Added [ 1599135 ] Father's First Name in Lists (opus27)
 - Fixed [ 1842091 ] Error in Notes Tab V4.1.3 (and 4.1.4 svn) (opus27)
 - Added [ 1749591 ] Highlight maternal death (opus27)
 - Fixed [ 1840934 ] Associate Individual FACT/EVEN TYPE text (opus27)
 - Fixed [ 1834996 ] Sitemap module uses incorrect $SERVER_URL value (canajun2eh)
 - Added [ 1890383 ] Media Firewall use mod_rewrite when available (ljm)
 - Fixed [ 1892008 ] Media Firewall should not trigger rate limiter (ljm)
 - Partially Fixed [ 1891976 ] Media Firewall incompatible with clippings cart (ljm)

Version 4.1.3 2007-11-16
 - Fixed [ 1822946 ] Missing reference to port number in $SERVER_URL (yalnifj)
 - Fixed [ 1586584 ] Minimal theme - Icons on some Indi page tabs (canajun2eh)
 - Fixed [ 1549501 ] Quick Edit - Name editing rarely works (yalnifj)
 - Fixed [ 1753047 ] Email/sync with account (yalnifj)
 - Fixed [ 1830176 ] get_name_in_record() incorrect results (yalnifj)
 - Fixed [ 1832387 ] No support for Latin-A in Places edit (canajun2eh)
 - fixed [ 1823749 ] Backup fails, 4.1.2 (yalnifj)
 - fixed [ 1827547 ] Message to inactive users sent to newcomers (yalnifj)
 - fixed [ 1825257 ] Delete one media file - all files with same name deleted (yalnifj)
 - Fixed [ 1824016 ] Undo Changes Option Missing on Source Page (yalnifj)
 - fixed [ 1825797 ] XSS on the "research assistant" page (yalnifj)
 - fixed [ 1797468 ] 4.1.1 Hourglass Chart display bug (many other related bug reports) (yalnifj)
 - fixed [ 1527172 ] 4.01 stable: Hourglass chart doesn't show all spouses (yalnifj)
 - Fixed [ 1821170 ] Lightbox in Minimal Theme shows icons (canajun2eh)
 - Fixed [ 1523064 ] Missing Individual Source Data in Media List (yalnifj)
 - Fixed [ 1750358 ] Indilist/Familylist - Visitor - Error (yalnifj)
 - Added GEDCOM configuration search filter (yalnifj, neumont)
 - Fixed [ 1821180 ] Changes Report Form Dates are switched (canajun2eh)
 - Added [ 1820679 ] Language specific sort in Sorttable Tables (opus27)
 - Fixed [ 1805955 ] Alive in year: doesn't recognise death date (opus27)
 - Fixed [ 1814226 ] Clean up mediaviewer output when requested file doesn't exist (ljm)
 - Added [ 1743793 ] Email Report (yalnifj)
 - Fixed [ 1818948 ] Notes in Notes Tab Truncated (canajun2eh)
 - Added [ 1753870 ] "automatically expand notes" option (opus27)
 - Fixed [ 1751010 ] [4.1.2] Quick update links to choose a place (yalnifj)
 - Fixed [ 1806096 ] Googlemap and apostrophes (yalnifj)
 - Fixed [ 1813473 ] Fatal error - functions_print_lists, by adding more error checking (yalnifj)
 - Fixed [ 1813634 ] [4.1.2] Link this person to an existing family as a child (yalnifj)
 - Medialist - only show external files when viewing root dir, add option to view files in subdirs (ljm)
 - Fixed [ 1817180 ] CONC Issue in Individual and medialist Page (canajun2eh)
 - Fixed [ 1817120 ] SOUR tab - errors (canajun2eh)
 - Fixed [ 1817295 ] show by year ... 3 digit entry doesn't work (canajun2eh)
 - Fixed [ 1795563 ] HTML <title> tag, bad format (canajun2eh)
 - Added [ 1714274 ] MARR date on Close Relative tab (opus27)
 - Added [ 1712181 ] Show Sources Linked to Events in the Source Tab (opus27)
 - Fixed [ 1701278 ] "Events of close.." Broken in Firefox if Valid xhtml used (opus27)
 - Added [ 1690092 ] Events of close relatives : remove duplicates (opus27)
 - Added [ 1671286 ] Events of close relatives : add nephew/niece (opus27)
 - Added [ 1564752 ] Shared facts for whole family (opus27)

Version 4.1.2 2007-10-19
 - Fixed [ 1800412 ] Media source citation bug (canajun2eh)
 - Fixed [ 1802378 ] Source Citation Duplicates Part of Note as Citation (canajun2eh)
 - Fixed [ 1792613 ] Text mangled when editing linked Note (canajun2eh)
 - Added concurrent edit check... warn user if the record changed out from under them (yalnifj)
 - Fixed [ 1804537 ] unselected source added to new family (yalnifj)
 - Fixed [ 1802830 ] Adress Reports print wrong data (yalnifj)
 - Consolidated Media Firewall and Watermark options in the Gedcom config screen
 - Fixed [ 1802261 ] Incomplete implementation of "surname first" option (canajun2eh)
 - Added Watermarks [ 1739602 ] (ljm)
 - Added Media Firewall [ 1749817 ] (ljm)
 - Fixed [ 1805621 ] [4.1.2] Undifined index: multi_site_search (yalnifj)
 - Fixed [ 1787410 ] [V4.1 Stable] Duplication of children (yalnifj)
 - Fixed [ 1802245 ] escaping in translation (canajun2eh)
 - Fixed [ 1800372 ] Language File Compare works on commented out lang. variables (canajun2eh)
 - Added [ 1557511 ] Repository Privacy (yalnifj)
 - Added index directory cleanup tool (yalnifj, neumont)
 - Fixed [ 1792613 ] Text mangled when editing linked Note (canajun2eh)
 - Fixed [ 1410203 ] E-Mail not displaying characters correctly (yalnifj)
 - Fixed [ 1792825 ] SVN:1630 Timeline Chart, bold footer (yalnifj)
 - removed adodb-time-inc.php as it is no longer being used (yalnifj)
 - Fixed [ 1759246 ] New individual source added without relevant fields (yalnifj)
 - Fixed [ 1790943 ] 4.1.1 Individual Page - Submenu Lists - Individual is empty (canajun2eh)

Version 4.1.1 2007-09-08
 - Applied [ 1790552 ] childrec variable not initialized (yalnifj)
 - Changed Print link list after Notes and Source on Manage Media pages (canajun2eh)
 - Fixed Media source citation information lost when editing any media object info (canajun2eh)
 - Fixed Formatting problems while editing long Media source citation text (canajun2eh)
 - Fixed Formatting problems while editing long Media notes text (canajun2eh)
 - Fixed [ 1790543 ] Birth dates showing even when set to private (yalnifj)
 - Added English FAQ texts from some registered PGV sites (meliza)
 - Fixed [ 1787942 ] Reports & Level 1 EMAIL TAG (yalnifj)
 - Fix [ 1783854 ] Memory exhaustion on line 1190 of functions_name.php (canajun2eh)
 - Applied [ 1738384 ] Italian language files update (yalnifj)
 - Changed Sort chart, list, and report names in top menu (canajun2eh)
 - Applied [ 1745914 ] RA Search Plugin for genealogy-search-help.com (yalnifj)
 - Applied [ 1756626 ] Add 'label for' on login page (yalnifj)
 - Applied [ 1747980 ] Hide Edit Raw GEDCOM (yalnifj)
 - Applied [ 1780060 ] Googlemap: Map items clipped on non-CSS3 browsers (yalnifj)
 - Applied [ 1780075 ] 4.1 stable PunBB: Patches rollup (yalnifj)
 - Applied [ 1782009 ] 4.1 stable: cannot use find media to link some media (yalnifj)
 - Fixed VERY minor XSS vulnerability on login page (yalnifj)
 - Fixed [ 1782104 ] ERROR 8 in mediaviewer (yalnifj)
 - Fixed [ 1786455 ] Main menus draw behind Relationship table (canajun2eh)
 - Fixed Ajax controls in Random Media block ignore block configuration (canajun2eh)
 - Added Filter by Format, Filter by Type in Random Media block (canajun2eh)
 - Fixed [ 1765862 ] Divide by zero error in timeline (yalnifj)
 - Fixed [ 1779085 ] [SVN1480] HTML Report should use a popup Target (yalnifj)
 - Fixed [ 1776999 ] SVN 1451 - Circle Chart (yalnifj)
 - Fixed [ 1778362 ] New Blocks need some tweaking (yalnifj)
 - Fixed auto-accept users do not see the changes of other users (yalnifj, tthdoc)
 - Fixed [ 1775026 ] Line break missing when re-ordering children (canajun2eh)
 - Fixed [ 1769535 ] Line break missing when adding child or spouse to family (canajun2eh)
 - Added Swedish and Finnish UTF-8 support to Modules PunBB (meliza)
 - Fixed Modules PunBB to work in UTF-8 (meliza)
 - Added Hebrew support to Modules PunBB (meliza)
 - Fixed [ 1777015 ] PGV 4.1.1 SVN 1453: Move "fonts" subdirectory from "tcpdf" to "includes"
 - Fixed [ 1777015 ] PGV 4.1.1 SVN 1453: errors in tcpdf.php (canajun2eh)
 - Fixed [ 1753399 ] Media File Update - Errors (yalnifj)
 - Added Charts block (yalnifj)
 - Added changes report (yalnifj)
 - Replaced UFPDF library with TCPDF library for report generation (yalnifj)
 - Fixed [ 1756818 ] Event data not retrieved to the blocks and numeric file ID (meliza)
 - Fixed [ 1773512 ] Unrecognized GEDCOM Code: MARR1 _PGVFS (yalnifj)
 - Fixed [ 1772760 ] Hourglass Chart in Stable 4.1 - Wrong depth of descendants (yalnifj)
 - Added optional check for memory_get_peak_usage function (yalnifj)
 - Fixed [ 1769666 ] Lifespan Chart Ver 4.1 stable (yalnifj)
 - Move sample submenu file from "themes" to "includes/extra" (canajun2eh)
 - Add sample top level menu file to "includes/extra" (canajun2eh)
 - Add support for optional top level menu (built by site admin) (canajun2eh)
 - Make Media Viewer show of file name & download link configurable in GEDCOM config (canajun2eh)
 - Change appearance of Media Viewer (canajun2eh)
 - Restrict editing users from search and replace.  Admin and Accept users only (yalnifj)
 - Change backup so that DB data is always backed up to a file and included in the ZIP (yalnifj)
 - Added use case insensitive compare when checking for duplicate usernames (yalnifj)
 - Fixed [ 1767071 ] Error when approving any change on indi-page (canajun2eh)
 - Fixed [ 1766591 ] Tag Clouds RTL, counts on wrong side of name (canajun2eh)

Version 4.1 2007-08-03
 - Fixed [ 1766061 ] SVN:1370 Link error on indilist.php (canajun2eh)
 - Fixed [ 1765861 ] Relatives Report - missing icons/images (canajun2eh)
 - Added "Acceptable use" notice on "Request new user account" page (canajun2eh)
 - Changed Welcome text always appears on Login page (canajun2eh)
 - Changed Custom Welcome text can contain language variable references (canajun2eh)
 - Changed "command" to "ctype" as mod_security work-a-round (yalnifj)
 - Added Implement faqlist.xx.php -- library of FAQs (canajun2eh)
 - Fixed [ 1755178 ] Links table empty in Media Viewer (opus27)
 - Fixed [ 1755410 ] FAQ list lost when Index page configured (canajun2eh)
 - Fixed [ 1754482 ] Incorrect Indi / Fam / Source List titles (canajun2eh)
 - Added Allow references to $pgv_lang, $factarray, $GLOBALS in News title & News body (canajun2eh)
 - Added Allow references to $pgv_lang, $factarray, $GLOBALS in FAQ title & FAQ body (canajun2eh)
 - Added [ 1753513 ] modify url parameters from "sex" to "gender" (yalnifj)
 - Fixed [ 1752869 ] Error In Clipping Cart - ERROR 8: Undefined index (canajun2eh)
 - Added GEDCOM config option for Surname List styles (canajun2eh)
 - Fixed [ 1737256 ] 4.1 IE7 bug when default tab is not the first one (opus27)
 - Added patch [ 1747975 ] Pedigree charts missing pageSize (opus27)
 - Added patch [ 1747974 ] bdmlist.xml error (opus27)
 - Added patch [ 1745922 ] making SQL_LOG=true propagate on ajax calls (opus27)
 - Fixed [ 1747209 ] Birth Location Not Shown on Indi List if Birth Date Missing (opus27)
 - Fixed [ 1736909 ] Birth Date and Place Report - pgv_lang['date'] (canajun2eh)
 - Added Make Indi and Fam List Sub-List trigger configurable (canajun2eh)
 - Fixed [ 1722308 ] Indi/Fam List Sub-List Help (canajun2eh)
 - Fixed [ 1703774 ] Error uploading media files (yalnifj)
 - Fixed [ 1688956 ] 41b4 Family List SQL error (yalnifj)
 - Fixed [ 1603035 ] Hebrew dates in blocks (meliza)
 - Fixed [1668424 & 1599544] Calendar related issues (meliza)
 - Prevent users from accessing a GEDCOM being imported (yalnifj)
 - Fixed [ 1682347 ] Chart Rootperson ID not filled from Find list (yalnifj)
 - Fixed [ 1682895 ] 41b4 edit family->delete family error 8 (yalnifj)
 - Fixed [ 1684519 ] 4.1 (SVN 977) Fatal error: ra_functions.php on line 161 (yalnifj)
 - Added changeGedcom method to web service (yalnifj)
 - Fixed missing RESN on add/edit fact forms (yalnifj)
 - Fixed [ 1676782 ] < and > stored in gedcom as &lt; and &gt; (yalnifj)
 - Fixed [ 1612613 ] 4.1B2-B4: User Migration (yalnifj)
 - Fixed [ 1665673 ] SOAP doSearch method doesn't work with keyword searches (yalnifj)
 - Added [ 1675436 ] Show Full Location name in alt of List Place Links (opus27)
 - Fixed [ 1610026 ] search results show details of living people (yalnifj)
 - Fixed [ 1488550 ] Family/Individual Media Duplications (yalnifj)
 - Fixed [ 1599544 ] Hebrew dates in sortable tables (yalnifj)
 - Limiting what Edit users can do with media (yalnifj)
 - Fixed [ 1673134 ] 4.1 B4 (889) Edits to 1-level Notes objects not shown (yalnifj)
 - Fixed [ 1470107 ] 4.0b7 ... famlist ... surnames starting with - (yalnifj)
 - Fixed [ 1444232 ] Quick Update - RtL (yalnifj)
 - Fixed [ 1669437 ] SQL Error in Individual List (opus27)
 - Fixed [ 1442229 ] Import Married Names Unknown Dupe (yalnifj)
 - Fixed [ 1434050 ] Merge Siblings (yalnifj)
 - Fixed [ 1629684 ] Soundex Search Results Do Not Use the New Format (opus27)
 - Added [ Help - 4015858 ] Admins can edit without updating CHAN record (coloredpixels)
 - Fixed [ 1429244 ] Calendar "Show events of" select missing for Non Logged In (yalnifj)
 - Fixed [ 1427611 ] 4.0 B5: editgedcoms.php shows insted of the log file (yalnifj)
 - Fixed [ 1405933 ] Age Calculation - Birth after event (yalnifj)
 - Fixed [ 1403653 ] Accept / Reject Changes (yalnifj)
 - Fixed [ 1403615 ] 4.0b3 Accept/Reject Changes (yalnifj)
 - Fixed [ 1391206 ] 4.0b3 space omitted in CONC after TEXT (yalnifj)
 - Fixed [ 1389205 ] 4.0B3 - family doubled after quick update (yalnifj)
 - Fixed [ 1389034 ] 4.0B8 Import statistic has wrong figures (yalnifj)
 - Fixed [ 1388702 ] 4.0 B2 Password validation (yalnifj)
 - Fixed [ 1373302 ] 4.0b2 Search Help Text (yalnifj)
 - Fixed [ 1346063 ] Missing New Line with 2 Source Citation Images (yalnifj)
 - Fixed [ 1329644 ] Add Married Name - Wrong Sequence (yalnifj)
 - Fixed [ 1510463 ] Indilist and Famlist - Danish (opus27)
 - Fixed [ 1579889 ] Upgrading breaks Media links (opus27)
 - Fixed [ 1635413 ] mismatch between numbers on famlist index and rows of table (canajun2eh)
 - Fixed [ 1661570 ] 4.1B3: Indi list and "Surname first" (canajun2eh)
 - Fixed [ 1657883 ] 4.1b4 (SVN 839): Indi list "all" option doesn't work (canajun2eh)
 - Fixed [ 1657189 ] 4.1 B4 (837) Inefficient database query on Indi list (canajun2eh)
 - Fixed [ 1655947 ] 4.1 b4 (SVN 833): Import does not skip BOM (canajun2eh)
 - Fixed [ 1656671 ] Indis missing from Indi list (canajun2eh)
 - Fixed reporting of aunt/uncle by marriage relationship descriptions (cozensweb)
 - Fixed [ 1635406 ] RTL mails and new user registration pages (canajun2eh)
 - Fixed [ 1646192 ] Log File - pageview count posting error (canajun2eh)
 - Fixed false reporting of step sibling in relationship.php (cozensweb)
 - Added block caching system for not-logged-in visitors (yalnifj)
 - Improved performance of Event Blocks (yalnifj)
 - Added [ phpgedview-Patches-1636119 ] customize welcom page: problems with files in blocks folder (yalnifj)
 - Added session and referrer check to login_register to help prevent scripting/spamming/hacking (yalnifj)
 - Fixed Various language issues on Request Access and Request Password pages (canajun2eh)
 - Fixed Links in chart boxes should show a title when mouse hovers over them (canajun2eh)
 - Fixed Links in chart boxes don't change colour when mouse hovers over them (canajun2eh)
 - Changed Make "From" in automatically created emails a GEDCOM "Contacts" option (canajun2eh)
 - Fixed [ 1593602 ] [Research assistant] multiple persons linked to a task (beakerboy)
 - Fixed [ 1628280 ] WSDL for SOAP API has incorrect types (yalnifj)
 - Fixed [ 1621342 ] GEDFILE Error in adding DAU to FAM (opus27)
 - Added AJAX to individual page tabs (yalnifj)
 - Fixed [ 1599037 ] 4.0SVN: Place does't show in Individual list Or Indi Page (opus27)
 - Fixed [ 1613742 ] My Account - Undefined indexes (canajun2eh)
 - Added AJAX extensions to hourglass chart (Neumont)
 - Fixed Random Media player controls should be at top of block (canajun2eh)
 - Fixed Missing "modules" directory causes errors (canajun2eh)
 - Fixed Remote linking to father/mother etc cause strange results (yalnifj)
 - Fixed [ 1606215 ] editconfig.php Should Allow Viewing Even When Not Writable (yalnifj)
 - Fixed [ 1606344 ] GEDCOM synch query (yalnifj)
 - Fixed [ 1604909 ] Bogus "no cookie support in browser" error (canajun2eh)
 - Fixed [ 1604907 ] Bogus "bad database config" error (canajun2eh)
 - Fixed [ 1603287 ] Recent Changes Block - Should have total at the Bottom (opus27)
 - Fixed [ 1601780 ] Source List - Consolidate all Private Sources (opus27)
 - Fixed [ 1594698 ] Source List listing table (opus27)
 - Fixed [ 1598539 ] "Children" Col uses too much space in indi and Fam Lists (opus27)
 - Added patch [ 1586676 ] Opera problem showing Events of close relatives (opus27)
 - Fixed [ 1591352 ] 4.1SVN: sanity_check.php contains hard-coded English text (canajun2eh)
 - Changed [ 1590796 ] 4.1SVN: Site re-config requires DB password (canajun2eh)
 - Added option to include media files in backup (yalnifj)
 - Added [ 1424477 ] Export Dates for external Calender (opus27)
 - Applied [ 1585247 ] Collapsable fact notes (yalnifj)
 - Fixed [ 1582849 ] 4.0.3 & 4.1 Minimal Theme - small missing (canajun2eh)
 - Added handling n x great grandfather style of output to get_sosa_name (cozensweb)
 - Added german translations of relationship labels (nolensvolens, cozensweb)
 - Added [ 1571523 ] Misuse of CORP tag (fisharebest)
 - Added keep media links option when uploading replacement GEDCOMs (yalnifj)
 - Reorganized language files based on user access level (Neumont/yalnifj)
 - Added [ 1567427 ] AJAX slideshow controls to the Random media block (yalnifj)
 - Added [ 1567427 ] AJAX framework to portal blocks so that blocks can refresh themselves without refreshing the entire page (yalnifj)
 - Added media list slide show module support (Neumont/yalnifj)
 - Added media view page (Neumont)
 - Removed use of unset in lang.xx.php files for relationship labels, added cousins of nth degree (cozensweb)
 - Added Dutch translations for relationship labels (cozensweb, vanpepep)
 - Added [ 1549498 ] Add quick-click links to some fields that use drop-down list (opus27)
 - Added [ 1550650 ] Auto-close copy/delete window (opus27)
 - Fixed [ 1549707 ] patriarchlist.php Sortable List Error (opus27)
 - Added [ 1498689 ] Family page : using AJAX to reorder children (opus27)
 - Added js library (opus27)
 - Added relationship labels to relationship.php for lots of relationships in english, french, finnish, hebrew and portugese (cozensweb, Meliza, laietechie)
 - Added [ 1470282 ] Relationship to favorites (opus27)
 - Added dynamic module block loading (Neumont)
 - Added site sanity check (Neumont)
 - Fixed [ 1506905 ] PUBL Truncated in Source Tab on Individual Page (opus27)
 - Fixed [ 1530718 ] bug on recent changes block (opus27)
 - Fixed [ 1527526 ] SVN 290 Reorder children causes duplicate child sometimes (opus27)
 - Fixed [ 1527533 ] SVN 290 Add HUSB/WIFE missing 1 FAMS record (opus27)
 - Added [ 1440050 ] To Show IDs or Not to Show IDs: That is the Question (opus27)
 - Added [ 1524676 ] Javascript sortable tables (opus27)
 - Added UI entry for $SHOW_PRIVATE_RELATIONSHIPS settings (yalnifj)
 - Applied [ 1515923 ] GEDCOM import problem + patch (yalnifj)
 - Replacing ISR Hebrew place files by the 4.0 files (meliza)
 - Fixed [ 1514913 ] 4.0 Parent's family with new spouse (yalnifj)
 - Fixed various bugs [ 1513150 ], [ 1513147 ], [ 1509571 ] (yalnifj)
 - Fixed [ 1508850 ] User Admin Page Changes GEDCOMs (yalnifj)
 - Fixed [ 1510437 ] slklist.php - EXCEL (SLK) - Errors, removed the file (yalnifj)
 - Fixed [ 1509731 ] Delete Gedcom (yalnifj)
 - Fixing some places missing from places table (yalnifj)
 - Fixed [ 1511527 ] LOGIN failure (canajun2eh)
 - Fixed [ 1511803 ] Missing variable "newrec" on Family view (yalnifj)
 - Fixed [ 1512101 ] 4.0 stable: Incorrect language for (unknown) in Family list (canajun2eh)
 - Fixed [ 1511278 ] 4.0: Search page contains untranslated text (canajun2eh)
 - Fixed [ 1508480 ] Individual List of a surname (canajun2eh)
 - Added Media Object count to GEDCOM statistics block (pfblair)
 - Fixed [ 1507580 ] 4.0release ... places table created twice? (canajun2eh)
 - Fixed [ 1507590 ] 4.0rel ... source.php keeps the @N.N rather than "unknown" (canajun2eh)
 - Fixed [ 1507194 ] 4.0release: QUAY tag at wrong level within source citation (canajun2eh)
 - Fixed [ 1506547 ] Media List - RtL File Name (canajun2eh)
 - Added [ phpgedview-Feature Requests-1506913 ] Expand View GEDCOM Record with Linked Records (yalnifj)
 - Added GEDCOM config option to synchronize GEDCOM file with DB when accepting changes (yalnifj)
 - Changed editing architecture to write changed records to the pgv_changes.php file instead of the gedcom file (yalnifj)
 - Added Lifespan Chart (Neumont)
 - Added Gramps XML export options (Neumont)
 - Added Database table for storing soundex calculations (Neumont)
 - Added Search and Replace feature (Neumont)
